// Modal

.modalBackground {
  background-color: #000000;
  filter: alpha(opacity = 40);
  opacity: 0.4;
}

.modal {
  background-color: #fff;
  border: solid 2px #F39F02;
  padding: 15px 15px 15px 15px;
  @include rounded(6px, 6px, 6px, 6px);
  vertical-align: middle;
  margin: 0 auto;
}

.lightboxmodal.lightbox {
  max-width: 846px;
}

.modal {
  max-height:90% !important;
  max-width:90% !important;
  overflow-y:auto;
  table {
    border-style: none;
    border: 0px;
  }
  th {
    padding: 2px;
    font-size: 18px;
    border-collapse: collapse;
    border-style: none;
    background-color: #fff;
    color: #27506D;
    text-align: left;
  }
  td {
    padding: 2px;
    border-collapse: collapse;
    border-style: none;
  }
  .lightbox {
      .form-group   {
          margin-left:0px;
          margin-right:0px;
      }
  }

  .form-horizontal .control-label   {
    padding-right:10px;
  }
  #AlertModal_pnlAlertModalInner    {
    max-width:100%;
  }

  .accordionContent2 {
    a{
    padding-right:10px;
    }
  }

}

.closeModal {
  background: url(Images/icon_close.png) no-repeat;
  border: 0;
  width: 20px;
  height: 20px;
  cursor: pointer;
}

.modalHeader {
  margin-bottom: 10px;
	.btn-close-icon {
		background: none;
		padding: 0;
		&:active, &:focus {
			background: none;
		}
		span {
			color: #594E8C;
			font-size: 24px;
		}
	}
}

.modalTitle {
  padding: 2px;
  font-size: 18px;
  font-weight: bold;
  color: #27506d;
  text-align: left;
  display: block;
  &.modalTitleLarge {
    font-size: 26px;
    color: #a9451a;
  }
}

.modalMessage {
  display: block;
  padding: 2px;
  clear: both;
}

.modalCloseIcon {
  float: right;
  cursor: pointer;
  margin-left: 15px;
  margin-bottom: 10px;
}

.modalButtons {
  margin: 15px 0 10px 0;
  text-align: right;
  > :first-child {
    margin-left: 0;
  }
}

.modalButtonsLeft {
  text-align: left !important;
}

.errorModal {
  border-color: #CC0000;
  .modalTitle {
    color: #CC0000 !important;
  }
}

.logOutModal {
  width: 325px;
  max-width:90%;
}

.forgotPasswordModal {
  max-width: 720px;
  .dataInputContainer {
    margin: 25px 0;
  }
  .dataInputLabel {
    width: 200px;
  }
  .dataInputField {
    width: 350px;
  }

  @media (max-width:768px)
  {
    .dataInputContainer {
    margin: 0 0;
  }
  }
}

.resetPasswordModal {
  max-width: 400px;
  .dataInputContainer {
    margin: 25px 0;
  }
  .dataInputLabel {
    width: 150px;
  }
  .dataInputField {
    width: 225px;
  }
}

.myAccountModal {
  width: 550px;
  max-height:60% !important;
  .dataInputContainer {
    background: #F6F8F9;
    padding: 5px 8px;
  }
  .dataInputLabel {
    width: 180px;
    font-size: 16px;
    color: #000;
  }
  .dataInputField input {
    &[type="text"], &[type="password"] {
      width: 160px;
    }
  }
  .collapsiblePanel {
    margin-top: 20px;
  }
  .collapsiblePanelHeader {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: bold;
    color: #000;
    position: relative;
    border-top: 1px dashed #000;
    border-bottom: 1px dashed #000;
    background: #f1f0f5;
    min-height: 25px;
  }
  .collapsiblePanelHeaderLabel {
    position: absolute;
    display: block;
    left: 104px;
    top: 3px;
    a {
      text-decoration: none;
      color: #000;
    }
  }
  .cpHeaderControl {
    cursor: pointer;
  }
  .cpIcon {
    position: absolute;
    left: 3px;
    top: 3px;
    width: 19px;
    height: 19px;
    background: url(Images/icon_accordion_close_off.png) no-repeat;
    cursor: pointer;
  }
  .cpCollapsed .cpIcon {
    background-image: url(Images/icon_accordion_open_off.png);
  }
}

.collapsibleSingle {}

.registrationConfirmationModal {
  width: 900px;
  max-width:100%;
  .lpItemHeaderCyan .lpItemHeaderText {
    max-width: 730px;
  }
}

.resumeMissingInfoModal {
  max-width: 550px;
  max-height:500px;
  @media (max-width:780px) and (orientation:landscape){
  height:250px;
  }
}

// Reduce the padding for mobile devices
@media (max-width:480px)    {
.modal {
  padding: 5px;
  }
.accordionLink {
    a{
    display:block;
    }
  }
  .hiringDemandTable    {
    table {width:100%;}
    //thead {display: none;}
    thead th {
    width:100% !important;
    padding:4px 0px !important;
    display: block; 
    text-align:center;}

    thead th:nth-of-type(3) {
       border-bottom: 1px dashed black;
    }

    tbody td {
    width:100% !important;
    padding:4px 0px !important;
    display: block; 
    text-align:center;}

    tr td:nth-of-type(1),
    tr td:nth-of-type(2)  {
     background:#DDE3E0
    }
    tbody td:before { 
        content: attr(data-th); 
        display: block;
        text-align:center;  
      }
    }

	.employerHiringDemandTable{
	td{
	 width:100% !important;
    padding:4px 0px !important;
    display: block;
	text-align:center; 
	}
	 tr td:nth-of-type(1)  {
	 padding:1px !important;
     background:#DDE3E8
    }
	}

    .multiToOne    {
        th {
        tr td:nth-of-type(1), tr td:nth-of-type(2)  {
            display:table-cell;
        }
        }
        tr td{
        display:block;
        width:100% !important;
        padding:4px 0px !important;
        }
    }
}

.modalRightPanel    {
    float:left;
    width:30%;
    }

.modalLeftPanel    {
    float:left;
    width:70%;
    td:first-child {
        //width:600px;
    }
}

.resumeEducationLanguages   {
    #LanguageProficiencyDefinitionsPanel{
         overflow:auto;
    }
}

//Media queries for the modal related CSS
@media (max-width:768px) and (orientation:landscape) {
    .loginModal,
    .registrationConfirmationModal #NavigationPlaceholder,
    .loginAndRegister #RegisterStep1Panel,
    .loginAndRegister #RegisterStep2Panel,
    .loginAndRegister #panTermsAndConditionsSWS,
    .resumePreviewModal .previewScrollPane,
    .resumeEducationLanguages #LanguageProficiencyDefinitionsPanel,
    .degree-scroll-pane, .employer-scroll-pane,
    .internship-scroll-pane, .job-scroll-pane,
    .skill-scroll-pane, .careerarea-scroll-pane,
    .accordionContainerCreateEditResume, .emailScrollPane {
            max-height:200px !important;
    }

    .registrationTerms, .career-scroll-pane {
			max-height:100px !important;
    }
}


@media (max-width:480px) and (orientation:portrait)   {
    .loginModal,
    .registrationConfirmationModal #NavigationPlaceholder,
    .loginAndRegister #panTermsAndConditionsSWS,
    .resumePreviewModal .previewScrollPane,
    .resumeEducationLanguages #LanguageProficiencyDefinitionsPanel,
    .degree-scroll-pane, .employer-scroll-pane,
    .internship-scroll-pane, .job-scroll-pane,
    .skill-scroll-pane, .careerarea-scroll-pane,
    .accordionContainerCreateEditResume, .emailScrollPane {
            max-height:300px !important;
    }
	.loginAndRegister #RegisterStep1Panel,
    .loginAndRegister #RegisterStep2Panel,
	{
			max-height:240px !important;
	}

    .career-scroll-pane {
			max-height:200px !important;
    }
    .registrationTerms
    {
        width:100%;
        max-width:300px;
        max-height:150px !important;
    }
}

@media (max-width:768px) and (min-width:481px) and (orientation:portrait) {
    .loginModal,
    .registrationConfirmationModal #NavigationPlaceholder,
    .loginAndRegister #RegisterStep1Panel,
    .loginAndRegister #RegisterStep2Panel,
    .loginAndRegister #panTermsAndConditionsSWS,
    .resumePreviewModal .previewScrollPane,
    .resumeEducationLanguages #LanguageProficiencyDefinitionsPanel,
    .degree-scroll-pane, .employer-scroll-pane,
    .internship-scroll-pane, .job-scroll-pane,
    .skill-scroll-pane, .careerarea-scroll-pane,
    .career-scroll-pane,
    .accordionContainerCreateEditResume, .emailScrollPane{
            max-height:400px !important;
    } 
}

@media (min-width:480px)    {
    .myAccountModal .collapsiblePanelHeaderLabel {
        position: static;
        padding-left:30px;
    }
}

@media (max-width:768px)    {
    .modalRightPanel{
        width:100%;
        float:none;
    }
    .modalLeftPanel{
        width:100%;
        float:none;
    }
}

@media (max-width:767px) {
    #panLoginNote   {
        height:230px !important;
    }
}

@media (max-width:480px) {
    #panLoginNote   {
        height:200px !important;
    }

    #LoginRegisterPanel {
        margin-left:0px  !important;
    }
}
